Bug 1777654 - Please provide python3-sphinx 2.x for Fedora 30
Summary: Please provide python3-sphinx 2.x for Fedora 30
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinxcontrib-spelling
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Avram Lubkin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-11-28 01:18 UTC by Edgar Hoch
Modified: 2020-05-26 17:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:56:17 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1777294 0 unspecified CLOSED Please provide python3-sphinx 2.x for Fedora 30 2021-02-22 00:41:40 UTC

Internal Links: 1777294

Description Edgar Hoch 2019-11-28 01:18:54 UTC
Description of problem:

"dnf upgrade" on Fedora 30 cannot upgrade package python3-sphinxcontrib-spelling because python3-sphinx is still version 1.x, but version 2.x is required. There exists already python3-sphinx 2.x packages for Fedora 31; please could these also be build and distributed for Fedora 30?

 Problem 2: cannot install the best update candidate for package python3-sphinxcontrib-spelling-4.2.0-2.fc30.noarch
  - nothing provides python3.7dist(sphinx) >= 2.0.0 needed by python3-sphinxcontrib-spelling-4.3.0-1.fc30.noarch


Version-Release number of selected component (if applicable):
python3-sphinx-1.8.4-1.fc30.noarch
python3-sphinxcontrib-spelling-4.2.0-2.fc30.noarch


How reproducible:
Always

Steps to Reproduce:
1. "dnf upgrade" on Fedora 30

Comment 1 Miro Hrončok 2019-11-28 01:27:43 UTC
python3-sphinxcontrib-spelling should have not been updated in Fedora 30. Please revert.

We cannot update sphinx to 2 in an already released fedora, that would be against the Updates Policy: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/

Comment 2 Ben Cotton 2020-04-30 20:40:57 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 17:56:17 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.